Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Hintergrund kompakt weiß als Macro

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Hintergrund kompakt weiß als Macro (611 mal gelesen)
Siegfried Rief
Mitglied
Lehrer, Architekt


Sehen Sie sich das Profil von Siegfried Rief an!   Senden Sie eine Private Message an Siegfried Rief  Schreiben Sie einen Gästebucheintrag für Siegfried Rief

Beiträge: 199
Registriert: 16.11.2011

ACAD 2018, imos iX2017 im Novellnetz
Fachschule für Holztechnik Stuttgart

erstellt am: 24. Jan. 2018 17:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
seit dem Wegfall von SchowCase :-( beschäftige ich mich mit Rendern in ACAD2018 und komme zu recht brauchbaren "one klick" Renderings. Ich aktiviere die Renderumgebung und wähle "Rasterbelichtung" und stelle den Hintergrund auf "kompakt" Farbe "weiß" >> Dadurch wird das mitgebrachte Bild deaktiviert, die Beleuchtungswerte bleiben. Dies habe ich in meine dwt eingepflegt und erhalte ohne weitere Einstellungesänderungen "mal schnell im Entwurfsprozess" gute Renderings.
Nun zu meinem Problem:
Der weiße Hintergrund wirkt aber auch im visuellen Stil 2D-Drahtkörper, aber immer nur beim Drehen mit dem Orbit: Also beim Orbiten weiß, dann wieder schwarz. Das nervt und zudem sieht man helle Linien beim Orbiten gar nicht mehr.

Mir schwebt vor, den Hintergrund in meiner Vorlage wieder zu deaktivieren und diesen zum Rendern "schnell dazuschalten", per Macro, Lisp ... Allerdings komme ich an die Befehle nicht ran:
hintergrund oder renderbelicht. Die führen ja nur ins Dialogfeld und mit vorgestelltem Minus tun sie nicht.
Fall mir da jemand helfen kann ...
Gruß aus Stuttgart
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Peter1969
Mitglied
Technischer Zeichner, AutoCAD 2015 Certified Professional


Sehen Sie sich das Profil von Peter1969 an!   Senden Sie eine Private Message an Peter1969  Schreiben Sie einen Gästebucheintrag für Peter1969

Beiträge: 92
Registriert: 13.05.2008

ACA 2019 + OCTAcad 19 (Projektverwaltung & Applikation Messebau),
AutoCAD Mechanical 2019
Windows 10 Pro 64Bit
NVIDIA Quadro K2200
Intel Core i7
16GB RAM
Evoluent VerticalMouse C
3D SpaceMouse Pro

erstellt am: 25. Jan. 2018 10:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Siegfried Rief 10 Unities + Antwort hilfreich

Hallo Siegfried,

wenn ich Sie richtig verstanden habe, sollen die (Zeichnungs-)Hintergründe schnell geschaltet werden; hier ein LINK zum Artikel aus der AUGIWorld vom Oktober 2017: The Perfect Profile von Sam Lucido: im Paragraphen "Create a Macro to Change Profiles" wird näher erläutert, wie man das bewerkstelligt, sodass eine "Ein-Klick-Lösung" möglich wird. (Man muss "VBA for AutoCAD 2018" installieren)

LINK: https://www.augi.com/articles/detail/the-perfect-profile

HTH Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13404
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 25. Jan. 2018 11:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Siegfried Rief 10 Unities + Antwort hilfreich


Schaltet die Hintergrundfarbe des Modellbereiches von schwarz auf weiß und umgekehrt:

(defun c:SWITCH_BACKCOLOR ( /); ANZEIGE )
  (vl-load-com)
  (setq Anzeige(vla-get-Display(vla-get-Preferences(vla-get-application(vlax-get-acad-object)))))
  (if (= (vlax-variant-value(vlax-variant-change-type(vla-get-GraphicsWinModelBackgrndColor ANZEIGE) vlax-vbLong))0)
    (progn
      (vla-put-GraphicsWinModelBackgrndColor ANZEIGE 16777215)
      (princ "\n Hintergrund Modellbereich auf - weiß - gesetzt \n")
    )
    (progn
      (vla-put-GraphicsWinModelBackgrndColor ANZEIGE        0)
      (princ "\n Hintergrund Modellbereich auf - schwarz - gesetzt \n")
    ) 
  )
  (princ)

kann man automatisch in der acaddoc.lsp definieren ( oder laden ) und sich dann einen Button mit dem Funktionsaufruf (c:SWITCH_BACKCOLOR)  basteln

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Siegfried Rief
Mitglied
Lehrer, Architekt


Sehen Sie sich das Profil von Siegfried Rief an!   Senden Sie eine Private Message an Siegfried Rief  Schreiben Sie einen Gästebucheintrag für Siegfried Rief

Beiträge: 199
Registriert: 16.11.2011

ACAD 2018, imos iX2017 im Novellnetz
Fachschule für Holztechnik Stuttgart

erstellt am: 25. Jan. 2018 13:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Hintergruendiges.pdf

 
SWITCH_BACKCOLOR nutzen wir bereits immer wieder gerne, es schaltet aber
nur den Modellbereich im 2D-Drahtkörper.

Ich habe im angehängten Dokument mal meine bisherigen Recherchen zusammengefasst.

Als nächsten Schritt probier ichs mal mit benannte Ansichten. Die nehmen diese Einstellungen ja auch mit: Renderbelichtung und Hintergrund - natürlich auch die Kamera, aber dafür sind sie ja eigentlich da ...

Gruß aus der Feinstaubmetropole

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz